;DATA TYPE CONSTANTS
Const BD_BigInt 		 = 20    ;8 byte signed int
Const BD_Binary          = 128   ;binary value
Const BD_Boolean         = 11    ;boolean value
Const BD_BSTR            = 8     ;null terminated character string (unicode)
Const BD_Chapter         = 136   ;4 byte chapter value that identifies rows in
                                ;a child rowset
Const BD_Char            = 129   ;string value
Const BD_Currency        = 6     ;fixed point number with 4 digits past decimal
Const BD_Date			 = 7		;Date value stored as a double (whole # is days
                                ;past 12/30/1899, decimal is fractional part of
                                ;day)
Const BD_DBDate          = 133	;Date value (yyyymmdd)
Const BD_DBTime			 = 134   ;time value (hhmmss)
Const BD_DBTimeStamp     = 135	;date/timestamp (yyyymmddhhmmss + fraction in
                                ;billionths)
Const BD_Decimal         = 14	;exact numeric value with fixed precision & scale
Const BD_Double			 = 5		;double precision floating point value
Const BD_Empty			 = 0		;No value 
Const BD_Error			 = 10	;Indicates a 32 bit error code
Const BD_FileTime        = 64	;64 bit value representing the number of 100-
                                ;nanosecond intervals since 1/1/1601
Const BD_GUID			 = 72	;globally unique identifier (GUID)
Const BD_IDispatch       = 9     ;pointer to an idispatch interface on a com object
Const BD_Integer         = 3		;four byte signed integer
Const BD_IUnknown        = 13  	;pointer to an iunknown interface on a com object
Const BD_LongVarBinary   = 205   ;Long binary value (parameter object only)
Const BD_LongVarChar     = 201   ;Long string value (parameter object only)
Const BD_LongVarWChar    = 203   ;null terminated unicode string
Const BD_Numeric         = 131   ;an exact numeric value with fixed precision
Const BD_PropVariant     = 138   ;automation propvariant
Const BD_Single          = 4		;single precision floating point value
Const BD_SmallInt        = 2     ;two byte signed integer
Const BD_TinyInt         = 16    ;one byte signed integer
Const BD_UnsignBigInt    = 21    ;8 byte unsigned integer
Const BD_UnsignInt       = 19    ;four byte unsigned integer
Const BD_UnsignSmallInt  = 18    ;two byte unsigned integer
Const BD_UnsignTinyInt   = 17    ;one byte unsigned integer
Const BD_UserDefined     = 132   ;user defined variable
Const BD_VarBinary       = 204   ;binary value (parameter object)
Const BD_VarChar         = 200   ;string value (parameter object)
Const BD_Variant         = 12    ;automation variant (not supported)
Const BD_VarNumeric      = 139   ;numeric value
Const BD_VarWChar        = 202   ;null terminated unicode string (parameter obj)
Const BD_WChar           = 130   ;null terminated unicode string


Const BD_SQLServer       = 1
Const BD_OracleServer    = 2
Const BD_AccessDB        = 3
Const BD_CustomDB		 = 4

Const BD_StateClosed	 = 0
Const BD_StateOpen		 = 1
Const BD_StateConnecting = 2
Const BD_StateExecuting	 = 4
Const BD_StateFetching   = 8

Const BD_NullString$     = "*NULL*"
Const BD_NullInt%        = -2147483648
Const BD_NullFloat#      = -2147483648.0
